Bug 1559920 - gnocchi_api and gnocchi_metricd don't bind host's /var/lib/gnocchi directory
Summary: gnocchi_api and gnocchi_metricd don't bind host's /var/lib/gnocchi directory
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z3
: 12.0 (Pike)
Assignee: Mehdi ABAAKOUK
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On:
Blocks: 1584591
TreeView+ depends on / blocked
 
Reported: 2018-03-23 14:34 UTC by Chen
Modified: 2018-12-24 14:43 UTC (History)
9 users (show)

(edit)
The file driver for Gnocchi now works as expected in containerized installations. Previously the host directory was not mounted in the container.
Clone Of:
: 1584591 (view as bug list)
(edit)
Last Closed: 2018-08-20 12:59:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:00 UTC
OpenStack gerrit 570580 None None None 2018-05-25 13:57 UTC
OpenStack gerrit 571414 None None None 2018-05-31 09:25 UTC
Launchpad 1773376 None None None 2018-05-25 13:55 UTC

Description Chen 2018-03-23 14:34:37 UTC
Description of problem:

gnocchi_api and gnocchi_metricd don't bind host's /var/lib/gnocchi directory

"Binds": [
"/etc/puppet:/etc/puppet:ro",
"/etc/pki/ca-trust/extracted:/etc/pki/ca-trust/extracted:ro",
"/etc/pki/tls/cert.pem:/etc/pki/tls/cert.pem:ro",
"/var/lib/kolla/config_files/gnocchi_api.json:/var/lib/kolla/config_files/config.json:ro",
"/var/lib/config-data/puppet-generated/gnocchi/:/var/lib/kolla/config_files/src:ro",
"/etc/ceph:/var/lib/kolla/config_files/src-ceph:ro",
"/etc/hosts:/etc/hosts:ro",
"/etc/localtime:/etc/localtime:ro",
"/var/log/containers/gnocchi:/var/log/gnocchi",
"/var/log/containers/httpd/gnocchi-api:/var/log/httpd",
"/etc/pki/tls/certs/ca-bundle.crt:/etc/pki/tls/certs/ca-bundle.crt:ro",
"/etc/ssh/ssh_known_hosts:/etc/ssh/ssh_known_hosts:ro",
"/etc/pki/tls/certs/ca-bundle.trust.crt:/etc/pki/tls/certs/ca-bundle.trust.crt:ro",
"/dev/log:/dev/log"
],

Version-Release number of selected component (if applicable):

OSP12

How reproducible:

100%

Steps to Reproduce:
1.
2.
3.

Actual results:

/var/lib/gnocchi is not bind to host. Thus we can't use "file" storage driver because if docker container restarts then the data will be lost.

Expected results:


Additional info:

Comment 1 Chen 2018-03-27 00:42:31 UTC
Hi team,

Sorry for the noise. Can I get any information on this bug ?

Best Regards,
Chen

Comment 3 Chen 2018-04-27 01:12:43 UTC
Hi Dan,

Can I get any opinion from engineering team ?

Best Regards,
Chen

Comment 5 Chen 2018-05-22 06:05:47 UTC
Hi team,

The customer is especially asking, are we going to bind the directory in future release or we are not going to bind it at all so that the customer can plan the workaround ASAP.

Best Regards,
Chen

Comment 7 Chen 2018-05-30 02:47:58 UTC
Hi Prad,

The customer mentioned that they will be using OSP13 so for this issue backport to OSP12 is not in a hurry. They are expecting OSP13 could have this fix.

Best Regards,
Chen

Comment 8 Mehdi ABAAKOUK 2018-05-31 13:28:06 UTC
Hi Chen,

I create another BZ for tracking the OSP13 work: https://bugzilla.redhat.com/show_bug.cgi?id=1584591.

We will check if the fix can be part of OSP13 GA or if that too late. Otherwise it will be in OSP13z1

Regards,

Comment 9 Chen 2018-05-31 13:32:56 UTC
HI Mehdi,

Thank you very much for your great help.

Best Regards,
Chen

Comment 14 Sasha Smolyak 2018-08-01 12:58:53 UTC
/var/lib/gnocchi is added to gnocchi_api, gnocchi_statsd and gnocchi_metricd
Verified

Comment 16 errata-xmlrpc 2018-08-20 12:59:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.